### Enumeration

# Fwupd SecurityAttrResult

#### Declaration

    enum Fwupd.SecurityAttrResult

#### Description [src]

The HSI result.

#### Members

`FWUPD_SECURITY_ATTR_RESULT_UNKNOWN`

  Not known.

  - Value: `0`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_ENABLED`

  Enabled.

  - Value: `1`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_NOT_ENABLED`

  Not enabled.

  - Value: `2`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_VALID`

  Valid.

  - Value: `3`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_NOT_VALID`

  Not valid.

  - Value: `4`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_LOCKED`

  Locked.

  - Value: `5`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_NOT_LOCKED`

  Not locked.

  - Value: `6`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_ENCRYPTED`

  Encrypted.

  - Value: `7`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_NOT_ENCRYPTED`

  Not encrypted.

  - Value: `8`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_TAINTED`

  Tainted.

  - Value: `9`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_NOT_TAINTED`

  Not tainted.

  - Value: `10`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_FOUND`

  Found.

  - Value: `11`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_NOT_FOUND`

  Not found.

  - Value: `12`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_SUPPORTED`

  Supported.

  - Value: `13`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_RESULT_NOT_SUPPORTED`

  Not supported.

  - Value: `14`
  - Available since: 1.5.0